/*
 * Copyright 2019 Confluent Inc.
 *
 * Licensed under the Confluent Community License (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of the
 * License at
 *
 * http://www.confluent.io/confluent-community-license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 */

package io.confluent.kafka.secretregistry.exceptions;

/**
 * Indicates an error while forwarding a write request to the master node in a secret
 * registry cluster
 */
public class SecretRegistryRequestForwardingException extends SecretRegistryException {

  public SecretRegistryRequestForwardingException(String message, Throwable cause) {
    super(message, cause);
  }

  public SecretRegistryRequestForwardingException(String message) {
    super(message);
  }

  public SecretRegistryRequestForwardingException(Throwable cause) {
    super(cause);
  }

  public SecretRegistryRequestForwardingException() {
    super();
  }
}
